> ## Documentation Index
> Fetch the complete documentation index at: https://docs.millis.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Call Histories



## OpenAPI

````yaml get /agents/{agent_id}/call-histories
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://api-west.millis.ai
    description: US Region API Gateway
  - url: https://api-eu-west.millis.ai
    description: EU Region API Gateway
security: []
paths:
  /agents/{agent_id}/call-histories:
    get:
      tags:
        - Agents
      summary: Get Call Histories
      operationId: get_call_histories_agents__agent_id__call_histories_get
      parameters:
        - name: agent_id
          in: path
          required: true
          schema:
            type: string
            title: Agent Id
        - name: start_at
          in: query
          required: false
          schema:
            anyOf:
              - type: number
              - type: 'null'
            title: Start At
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            default: 20
            title: Limit
        - name: authorization
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: Private Key
            title: Authorization
          description: Private Key
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CallHistoryResponse'
        '404':
          description: Not found
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    CallHistoryResponse:
      properties:
        items:
          items:
            $ref: '#/components/schemas/fast_api_data__agent__CallHistory'
          type: array
          title: Items
        pagination:
          $ref: '#/components/schemas/GenericResponse'
      type: object
      required:
        - items
        - pagination
      title: CallHistoryResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    fast_api_data__agent__CallHistory:
      properties:
        agent_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Agent Id
        agent_config:
          type: object
          title: Agent Config
        duration:
          type: number
          title: Duration
        ts:
          type: number
          title: Ts
        chat:
          type: string
          title: Chat
        chars_used:
          type: integer
          title: Chars Used
        session_id:
          type: string
          title: Session Id
        call_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Call Id
        cost_breakdown:
          items:
            type: object
          type: array
          title: Cost Breakdown
        voip:
          anyOf:
            - type: object
            - type: 'null'
          title: Voip
        recording:
          anyOf:
            - type: object
            - type: 'null'
          title: Recording
        metadata:
          anyOf:
            - type: object
            - type: 'null'
          title: Metadata
        function_calls:
          anyOf:
            - items:
                type: object
              type: array
            - type: 'null'
          title: Function Calls
        call_status:
          anyOf:
            - type: string
            - type: 'null'
          title: Call Status
      type: object
      required:
        - agent_config
        - duration
        - ts
        - chat
        - chars_used
        - session_id
        - cost_breakdown
      title: CallHistory
    GenericResponse:
      properties:
        success:
          type: boolean
          title: Success
      type: object
      required:
        - success
      title: GenericResponse
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````